export declare type ConsoleMessage = {
    value?: string;
    time: number;
    type: string;
};
export declare type ErrorMessage = {
    event: string | Event;
    type: 'console' | 'exception';
    source?: string | undefined;
    lineno?: bigint | undefined;
    colno?: bigint | undefined;
    trace?: string | undefined;
};
export declare type NetworkResourceContent = {
    endTime?: number;
    request?: HookRequest;
    response?: HookResponse;
};
export declare type HookRequest = {
    method: string;
    url: string;
    body: string;
    headers: string;
    timeout: number;
    type: string;
    withCredentials: string;
};
export declare type HookResponse = {
    status: string;
    statusText: string;
    text: string;
    headers: string;
    xml: any;
    data: any;
};
